<%
/******************************************************************************
 * Copyright (c) 2000-2011 E-DEAL
 *
 * E-DEAL S.A.
 * 41, rue Prier
 * 92120 Montrouge
 * France
 *
 * T: +33 (0)1 73 03 29 80
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%><%@ page language="java"%>
<%@ page session="true"%>
<%@ page import="com.edeal.frontline.navigation.*"%>
<%@ page import="com.edeal.frontline.*"%>
<%@ page import="com.edeal.frontline.helper.custom.*"%>
<%@ page import="java.util.Hashtable"%>
<jsp:useBean id="List" class="com.edeal.frontline.ListBean"
	scope="request" />
<%@ taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl"%>
<%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
String objSql = flRequest.getRequestParameterOrAttribute("objsql");
String lc = flRequest.getRequestParameterOrAttribute("lc");
String pPhone = null;
if (lc != null && lc.equals("ENTSEARCH")){
	 pPhone = flRequest.getSearchCriteria("EntPhone");
} else if (lc != null && lc.equals("PERSEARCH")){
	pPhone = flRequest.getSearchCriteria("PerPhone");
}
ListBean.ActionsMenu actionsMenu = List.getActionsMenu();
Hashtable variables = new Hashtable();
variables.put("objSql", objSql);
EdealBigTabsNavigation bTabNav = new EdealBigTabsNavigation(flRequest);		
String jsGridObject=bTabNav.getBigTabsParameterValue(EdealBigTabsNavigation.BigTabsParams.NameSearchGridJs);
boolean fHasCreationRight=true;
DataDictionary dico=context.getDataDictionary();

//Get the object which the list is attached to, and check if the session actor is allowed to create such an object
ObjectsBean object=dico.getTable("ID",List.getLstObjID());
BasicBean bean=object.getBasicBean(null,session);
fHasCreationRight=bean.enforceAccess(AccessControlManager.CREATE);

%>

<script language="javascript">
	function deleteAll() {
		if (window.confirm('<fl:getMessage code="M2004" alt="Etes-vous sr de vouloir supprimer?" js="true"/>') == true) {	
			var trpID = $("#criteriaTableDiv :input#TrlTrpID").val();
			var url = "<%= context.getContextName()%>/delete_all_trash.fl?trpID=" + trpID + "&SfwID=<%=flRequest.getRequestParameterOrAttribute("SfwID")%>";
			window.location = url;
		}
	}
	
	function exportAll() {
		var trpID = $("#criteriaTableDiv :input#TrlTrpID").val();
		var url = "<%= context.getContextName()%>/export_all_trash.fl?trpID=" + trpID;
		window.location=url;
	}
	
	function reimport() {
		var trpID = $("#criteriaTableDiv :input#TrlTrpID").val();
		var url = "<%= context.getContextName()%>/reimport.fl?trpID=" + trpID;
		window.location=url;
	}
	/*	$(document).ready(function(){
		$("#action_1").click(function(event){
			alert("click nok");
			return false;
			})
		});*/
</script>
<%	if ((actionsMenu==null || actionsMenu.canCreate()) && fHasCreationRight) { %>

<tr>
	<td class="actions_cell_left"></td>
	<td>
		<div class="actions_tablecell_1">
			<a href="<fl:link menu="true" list="false" url="<%=  \"/create_\"+ objSql + \".fl\" %>"/>">
				<p class="actions_tabletext">
					<fl:getMessage code="A3057" alt="Crer" />
				</p> </a>
		</div>
	</td>
	<td class="actions_cell_right"></td>
</tr>

<% if( actionsMenu!=null && actionsMenu.size()>0){%>
<tr>
	<td class="actions_cell_left"></td>
	<td class="actions_tablecell_seperator"></td>
	<td class="actions_cell_right"></td>
</tr>
<% }
	 }
	
	 String url="";
	 if(actionsMenu!=null){
	 for(int i=0; i<actionsMenu.size(); i++){ 
	 	url=ListBean.getLinkUrl(actionsMenu.getUrlNode(i),session,variables);
	 	if (url.equals("/export_all_trash.fl")) {
	 		url = "javascript:exportAll();";	
	 	}
	 	if (url.equals("/reimport.fl")) {
	 		url = "javascript:reimport();";	
	 	}
	 	if (url.equals("/delete_all_trash.fl")) {
	 		url = "javascript:deleteAll();";	
	 	}
	 %>
<tr>
	<td class="actions_cell_left"></td>
	<td>
		<div class="actions_tablecell_1" id="action_<%= i %>">
			<a <% if (actionsMenu.isMassSelectAction(i)) { %>
				href="javascript:<%=jsGridObject %>.sendMassSelect('<fl:link url="<%= url %>" list="true" />','action_<%=i%>')" 
				<% } else {%> 
				href="<fl:link url="<%= url %>"  />"
				<% } %>
				>
				<p class="actions_tabletext<%= actionsMenu.isMassSelectAction(i)?" actions_massselect":""%>">
					<% if(actionsMenu.getCodeLabel(i)!=null){%>
					<fl:getMessage code="<%=actionsMenu.getCodeLabel(i) %>" alt="---" />
					<%}else{ %>
					<%= actionsMenu.getDefaultLabel(i) %>
					<%} %>
				</p> </a>
		</div>
	</td>
	<td class="actions_cell_right"></td>
</tr>
<%if(i+1!=actionsMenu.size()){ %>
<tr>
	<td class="actions_cell_left"></td>
	<td class="actions_tablecell_seperator"></td>
	<td class="actions_cell_right"></td>
</tr>
<%}
	}} %>
<tr>
	<td class="actions_cell_left"></td>
	<td class="actions_tablecell_seperator"></td>
	<td class="actions_cell_right"></td>
</tr>
<%--<tr>--%>
<%--	<td class="actions_cell_left"></td>--%>
<%--	<td>--%>
<%--		<div class="actions_tablecell_1">--%>
<%--			<%--%>
<%--			    String au = flRequest.getRequestParameterOrAttribute("au");--%>
<%--			    String doList = flRequest.getRequestParameterOrAttribute("doList");--%>
<%--				String cleanUrl="/list_criteria.fl?lc="+lc+((Utils.isEmpty(au))? "" : "&au="+au)+((Utils.isEmpty(doList))? "" : "&doList="+doList);--%>
<%--			%>--%>
<%--			<a href="<fl:link url="<%= cleanUrl %>"/>">--%>
<%--				--%>
<%--				<p class="actions_tabletext">--%>
<%--					<fl:getMessage code="L70B5" alt="Reset" />--%>
<%--				</p> </a>--%>
<%--		</div>--%>
<%--	</td>--%>
<%--	<td class="actions_cell_right"></td>--%>
<%--</tr>--%>